Package: org.apache.groovy.ast.tools

## [Java] Class AnnotatedNodeUtils

- org.apache.groovy.ast.tools.AnnotatedNodeUtils

-     public class AnnotatedNodeUtils
      extends Object

  Utility class for working with AnnotatedNodes

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `hasAnnotation(AnnotatedNode node, ClassNode annotation)`
    `` | `public static boolean` | `isGenerated(AnnotatedNode node)`
    `<T extends AnnotatedNode>` | `public static T` | `markAsGenerated(ClassNode containingClass, T nodeToMark)`
    `<T extends AnnotatedNode>` | `public static T` | `markAsGenerated(ClassNode containingClass, T nodeToMark, boolean skipChecks)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static boolean hasAnnotation(AnnotatedNode node, ClassNode annotation)

    - #### public static boolean isGenerated(AnnotatedNode node)

    - #### <T extends AnnotatedNode> public static T markAsGenerated(ClassNode containingClass, T nodeToMark)

    - #### <T extends AnnotatedNode> public static T markAsGenerated(ClassNode containingClass, T nodeToMark, boolean skipChecks)